十一年专注,只做WordPress定制开发一件事

如何在WordPress中禁用PHP升级警告?

王超
2022-12-27
后台定制
686 次

如何在WordPress中禁用升级PHP警告?WordPress平台是一个很好的工具,但它必须跟上快速变化的Web架构。它基于 PHP,这是一种在 1995 年开发的脚本语言。PHP多年来一直在发展。

一个开发团队不断改进它,添加新功能,停止那些不再需要的功能,并确保它继续受支持。

由于您必须与最新的软件平台保持同步,因此保持最新状态可以为您提供两个显着的好处:安全性和功能。

在功能方面,较新版本的 PHP 提供了几种可能的增强功能、数据处理方法和添加的各种功能。还有很多可用的文档。

与此同时,安全性更为重要。这就是为什么WordPress和插件应该更新的原因。当您的WordPress过时时,您的仪表板会显示警告/错误。

本文将解释WordPress“需要PHP 更新”消息以及如何删除WordPress中的升级PHP警告。

什么是WordPress“需要PHP更新”消息?

WordPress平台是一个很好的工具,但要让它仍然是一个优秀的工具,它必须跟上快速变化的Web架构的步伐。

WordPress建立在PHP脚本语言之上,该语言于1995年首次开发。PHP语言本身已经发展。

它不是一种静态语言;相反,它由一个开发人员团队不断改进,他们添加新功能,停止不再需要的功能,并确保它仍然受支持。

跟上最新版本的软件平台势在必行,因为跟上最新版本可以有两个主要好处:安全性和功能。

就功能而言,较新版本的PHP提供了各种可能的增强功能,以及处理数据和添加功能的方法。如果您对技术细节感兴趣,可以使用大量文档。

与此同时,安全性可能更为关键。这就是为什么建议保持WordPress和插件更新并使用高性能WordPress托管和更新的PHP版本。当您的WordPress版本过时,您的仪表板中会出现一条警告/错误消息。

如何在WordPress中删除升级PHP警告?

当您在WordPress网站上登录仪表板时,您可能会看到一条警告,指出您的PHP版本已过时,您应该对其进行升级。

您看到此警告的原因有两个。首先是WordPress在为时已晚之前通知您某些东西会损坏。

其次,WordPress插件可能还希望利用较新的PHP版本的新功能。它们可以触发警告,促使您更新PHP和WordPress版本。

本节中提供了三种方法来处理此PHP警告。每个都依次讨论。

方法1:为自己隐藏“需要PHP更新”警告

请按照以下步骤为自己隐藏“需要 PHP 更新”警告:

1、点击 屏幕选项 在您的 WordPress 网站仪表板的右上角。

2、取消选中要隐藏的那些。

单击屏幕选项,然后取消选中要隐藏的屏幕选项

这意味着您刚刚应用的设置将仅可见。假设您的网站是多用户,并且您希望阻止其他用户看到此消息。在这种情况下,您将需要应用以下方法中提供的其他设置。

方法2:隐藏所有WP用户的“需要PHP更新”警告

如果要对所有用户隐藏此警告消息,则需要遵循以下步骤:

1、创建一个CSS文件,然后将其命名为“hide-php-update-message.css”。

2、将以下 CSS 代码添加到其中:

#dashboard_php_nag {display:none;}

具有 ID 的 将被此代码隐藏。<div>dashboard_php_nag

3、通过FTPSFTPCSS文件上传到您的WP主题文件夹。

4、下载functions.php文件。为此,您必须通过 FTP 进行连接。您将在主题文件夹中找到此文件。

5、打开文件,然后在functions.php文件末尾添加以下代码:

add_action('admin_enqueue_scripts', 'betterstudio_admin_styles');
function betterstudio_admin_styles() {
  wp_enqueue_style('admin-styles', get_template_directory_uri().'/hide-php-update-message.css');
}

6、通过FTP将文件上传到主题文件夹。functions.php

在此之后,所有用户都看不到警告消息。

方法 3:更新 PHP 版本

最后,唯一真正的解决方案是遵循警告并更新您的PHP版本。

为了有效地更新 PHP,必须创建一个清单以确保您正确地执行所有操作。

请按照以下步骤执行此操作:

  1. 列出您在网站上使用的所有工具。除了WordPress之外,这意味着你的框架和插件。当您更新WordPress时,您可能需要更新它们。
  2. 检查您的列表的准确性。更新所有内容时,您需要检查插件以查看是否不再需要任何插件。如果是这样,您可以删除它们。确保你有一个列表,列出在更新PHP版本时尽快启动和运行你的网站所需的一切。
  3. 在更新 PHP 之前进行任何必要的更新。从 PHP 5.5 切换到 PHP 7.3 可能具有挑战性。从 PHP 5.5 更改为 PHP 5.7,更新站点,升级到 PHP 7.0 然后升级到 PHP 7.3 很麻烦。保持最新状态而不是不断闹翻是件好事。
  4. 下载您需要的任何文件。没有什么比在更新期间丢失关键文件并在下载 zip 文件时将其搁置更糟糕的了。手头的所有东西都贴上精美的标签,让生活变得更加简单。
  5. 备份您的网站。如果出现问题,备份将允许您在升级时出现问题时至少还原站点。更新时,您永远不知道可能会删除,调整,清除,重置或损坏的内容。
  6. 根据说明更新 PHP。

换句话说,您必须将PHP版本更新为可以在站点仍在运行时应用的最新版本。有时,您必须跳转到最新版本并应用一些更新。

确保在运行每个更新时都经过验证。这取决于服务器上的 PHP 级别和所需的更新量。

结论

本文解释了WordPress“需要PHP Update”消息以及如何删除WordPress中的升级PHP警告。

文章标签:

WordPress日记主要承接WordPress主题定制开发PSD转WordPressWordPress仿站以及以WordPress为管理后端的小程序、APP,我们一直秉持“做一个项目,交一个朋友”的理念,希望您是我们下一个朋友。如果您有WordPress主题开发需求,可随时联系QQ:919985494 微信:18539976310

搜索

嘿,有问题找我来帮您!